Subject: Fix compilation error in feature/pgtk branch

From: Koen van Greevenbroek <[email-masked]>
Date: Fri, 03 Dec 2021 09:20:53 +0000

Hi,

I was just trying to compile the latest version of the pgtk branch when
I noticed that commit 901938109f introduced a regression: two empty
switch cases will result in a compilation error. My suggested fix is
the following:

Fix compilation error due to empty switch cases

modified   src/pgtkterm.c
@@ -4276,6 +4276,7 @@ set_fullscreen_state (struct frame *f)
 
     case FULLSCREEN_WIDTH:
     case FULLSCREEN_HEIGHT:
+	;
       /* Not supported by gtk. Ignore them. */
     }

This fixes the compilation error for me; I don't know if there is a
more idiomatic way of solving this.

Kind regards,

Koen van Greevenbroek